Bug 998817 - LSM 2 disks task initiated by "UNKNOWN" instead of real user in engine log and events
LSM 2 disks task initiated by "UNKNOWN" instead of real user in engine log an...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Daniel Erez
Aharon Canan
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 03:05 EDT by Aharon Canan
Modified: 2016-02-10 15:24 EST (History)
10 users (show)

See Also:
Fixed In Version: is13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 03:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs01 (365.24 KB, application/x-gzip)
2013-08-20 03:05 EDT, Aharon Canan
no flags Details

  None (edit)
Description Aharon Canan 2013-08-20 03:05:21 EDT
Created attachment 788341 [details]
logs01

Description of problem:
While LSM 2 disks at once, in engine log and events appear that first snapshot initiated by the real user, but the second  initiated by "UNKNOWN"

2013-08-20 09:50:14,418 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (pool-5-thread-49) Correlation ID: 24db4551, Job ID: 076b6d5f-b139-409f-927a-bc8319e8120a, Call Stack: null, Custom Event ID: -1, Message: Snapshot 'Auto-generated for Live Storage Migration' creation for VM 'VM02' was initiated by admin@internal.
2013-08-20 09:50:15,093 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (pool-5-thread-49) Correlation ID: 33d0cd6b, Job ID: 7387be14-8fc0-4072-b630-2c1c0152ebdf, Call Stack: null, Custom Event ID: -1, Message: Snapshot 'Auto-generated for Live Storage Migration' creation for VM 'VM01' was initiated by <UNKNOWN>.


Version-Release number of selected component (if applicable):
3.3 is10

How reproducible:
100%

Steps to Reproduce:
1. set 2 ISCSI storage domains, create 2 VMs with 1 thin disk each
2. LSM both disks at once
3.

Actual results:
UNKNOWN user


Expected results:
real user

Additional info:
Comment 1 Allon Mureinik 2013-08-21 03:46:43 EDT
Daniel/Federico, wasn't the recent work on SEAT infrastructure supposed to handle this?

Note You need to log in before you can comment on or make changes to this bug.